Skip to content
Navigation

Generate commitment rewrite proposal

POST
https://api.sureshake.com/v2/execution/cycles/{cycleId}/commitment-rewrite-proposals

Path parameters

  • cycleId
    string
    required
    format: uuid

Request body JSON required

  • outcome
    string
    required
    maxLength: 500 · minLength: 1
  • completionDefinition
    string
    required
    maxLength: 2000 · minLength: 1
  • proofStandard
    string
    required
    maxLength: 2000 · minLength: 1
  • ownerUserId
    string
    required
    maxLength: 255 · minLength: 1
  • targetValue
    optional
    number
    maximum: 1000000000000000 · minimum: -1000000000000000

Returns

201

Default Response

JSON
  • data
    object
    required
    • id
      string
      required
      format: uuid
    • entityId
      string
      required
      format: uuid
    • cycleId
      string
      required
      format: uuid
    • ownerUserId
      string
      required
      maxLength: 255 · minLength: 1
    • sourceInputHash
      string
      required
      pattern: ^sha256:[a-f0-9]{64}$
    • sourceInput
      object
      required
      • outcome
        string
        required
        maxLength: 500 · minLength: 1
      • completionDefinition
        string
        required
        maxLength: 2000 · minLength: 1
      • proofStandard
        string
        required
        maxLength: 2000 · minLength: 1
      • ownerUserId
        string
        required
        maxLength: 255 · minLength: 1
      • targetValue
        optional
        number
        maximum: 1000000000000000 · minimum: -1000000000000000
    • proposedOutcome
      string
      required
      maxLength: 500 · minLength: 1
    • proposedCompletionDefinition
      string
      required
      maxLength: 2000 · minLength: 1
    • proposedProofStandard
      string
      required
      maxLength: 2000 · minLength: 1
    • provider
      openai
      required
    • model
      string
      required
      maxLength: 120 · minLength: 1
    • providerResponseId
      string
      or null
      required
      maxLength: 255 · minLength: 1
    • status
      pending
      or
      accepted
      or
      rejected
      required
    • createdBy
      string
      required
      minLength: 1
    • createdAt
      string
      required
      format: date-time
    • decidedBy
      string
      or null
      required
      minLength: 1
    • decidedAt
      string
      or null
      required
      format: date-time
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

422

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

429

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

502

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close